{**********************************************}
{   TeeChart LinePoint Series Editor           }
{   Copyright (c) 1999-2020 by Steema Software }
{**********************************************}
unit TeeLinePointEditor;
{$I TeeDefs.inc}

interface

uses {$IFNDEF LINUX}
     Windows, Messages,                          
     {$ENDIF}
     SysUtils, Classes,

     Graphics, Controls, Forms, Dialogs, StdCtrls, ExtCtrls, ComCtrls, Buttons,

     TeePoEdi, TeCanvas, TeePenDlg, TeeGalleryPanel;

type
  TLinePointEditor = class(TSeriesPointerEditor)
    BLines: TButtonPen;
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

{$IFNDEF LCL}
{$R *.DFM}
{$ELSE}
{$R *.lfm}
{$ENDIF}

Uses MyPoint;

procedure TLinePointEditor.FormShow(Sender: TObject);
begin
  inherited;

  if Tag<>0 then
     BLines.LinkPen(TMyPointSeries(Tag).LinesPen);
end;

initialization
  RegisterClass(TLinePointEditor);
end.
